Subject: bug#37223: 26.2; vc does not honor backup-directory-alist

From: Juri Linkov <[email-masked]>
Date: Thu, 19 Sep 2019 23:22:42 +0300

> 2. Do not create files at all on disk, just read the selected
> version's contents into a new buffer. The user can decide if he wants
> to just look at the file and then close the buffer, or if he wants the
> given version on disk then he can save the buffer.
>
> The 2nd option seems better, since it gives control to the user to do
> with the buffer as he wishes.

Please try a new option 'vc-find-revision-no-save' added in Emacs 27.
If you like it, then this report could be closed.